aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2010-08-24 19:24:06 +0200
committerGuido Günther <agx@sigxcpu.org>2010-08-24 19:24:06 +0200
commita09cce7ebcad6660d00f6f260a60cdeb985507bc (patch)
treef3410caee1005e049963251dfb6d7088d878fee7 /examples
parented1dea3c365b633a0f98ecbce56b18b40ef9ca3a (diff)
Simple helper to tag a version if using git-svn
Diffstat (limited to 'examples')
-rw-r--r--examples/gbp-svn-tag18
1 files changed, 18 insertions, 0 deletions
diff --git a/examples/gbp-svn-tag b/examples/gbp-svn-tag
new file mode 100644
index 00000000..374b23a1
--- /dev/null
+++ b/examples/gbp-svn-tag
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Helper script to tag a version in SVN if using git-svn(1)
+
+DIST=$(dpkg-parsechangelog | awk "/^Distribution:/{ print \$2; }")
+VERSION=$(dpkg-parsechangelog | awk "/^Version:/{ print \$2; }")
+
+
+if [ "$DIST" = "UNRELEASED" ]; then
+ echo "Distribution is unreleased"
+ exit 1
+elif [ -z "$VERSION" ]; then
+ echo "Cant read package version"
+ exit 1
+fi
+
+git svn tag -m"Tagging system-config-printer ($VERSION)" $VERSION
+